/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package bullseye;

import eve.ui.*;
/**
 *
 * @author apaliani
 */
public class PanelArchery extends CellPanel{

    public ArcheryScores controlArcheryScores;
    public TablePhase table;
    public Input nameRevalInput;
    private MultiPanel mp;

    public PanelArchery(int indexRound, Competition competition){

        controlArcheryScores = new ArcheryScores(indexRound, competition, nameRevalInput);

        Panel panelVole = new Panel();

        panelVole.addLast(controlArcheryScores.tablePhase, Form.DONTSTRETCH);

        Panel panelPunteggio = new Panel();
        panelPunteggio.addNext(new Label("Arcere:"));
        nameRevalInput = new Input();
        panelPunteggio.addLast(nameRevalInput, HSTRETCH);
        
        panelPunteggio.addNext(new Label("Zeri:"));
        controlArcheryScores.zeroLabel = new Label(competition.rounds[indexRound].zero + "");
        panelPunteggio.addLast(controlArcheryScores.zeroLabel);

        panelPunteggio.addNext(new Label("Nove:"));
        controlArcheryScores.nineLabel = new Label(competition.rounds[indexRound].nine + "");
        panelPunteggio.addLast(controlArcheryScores.nineLabel);

        panelPunteggio.addNext(new Label("Dieci:"));
        controlArcheryScores.goalLabel = new Label(competition.rounds[indexRound].goal + "");
        panelPunteggio.addLast(controlArcheryScores.goalLabel);

        panelPunteggio.addNext(new Label("Totale:"));
        controlArcheryScores.totalLabel = new Label(competition.rounds[indexRound].getTotal() + "");
        panelPunteggio.addLast(controlArcheryScores.totalLabel);

   		TabbedPanel tp = new TabbedPanel();
		mp = tp;

        mp.addItem(controlArcheryScores, "Bersaglio", "Bersaglio");
        mp.addItem(panelVole, "Vol", "Vol");
        mp.addItem(panelPunteggio, "Punteggio", "Punteggio");

        addLast(tp, Form.STRETCH,Form.FILL);
    }
}
