package eve.util;
/**
* This compares two objects that are either Strings or implement the Comparable interface.
**/
//##################################################################
public class StandardComparer implements Comparer{
//##################################################################

public static final StandardComparer comparer = new StandardComparer();

//===================================================================
public int compare(Object one,Object two)
//===================================================================
{
	if (one instanceof String)
		return ((String)one).compareTo(two.toString());
	else if (one instanceof Comparable)
		return ((Comparable)one).compareTo(two);
	else if (two instanceof Comparable)
		return -((Comparable)two).compareTo(one);
	else
		return 0;
}


//##################################################################
}
//##################################################################

