/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package bullseye;

import eve.ui.*;
import eve.fx.Color;
/**
 *
 * @author apaliani
 */
public class PanelSettings extends Panel {

    public MasterChoice typeGameChoice;
    public MasterChoice sexChoice;
    public MasterChoice arcTypeChoice;
    public MasterChoice numRevalChoice;

    public MasterChoice seqVoleChoice;
    public MasterChoice seqPhaseChoice;

    public Button setButton;
    public Button resetButton;
    public Button buildButton;

    public PanelSettings(){
        setText("Impostazioni");

        initGui();
    }

    private void initGui(){

        addNext(new Label("Tipo gara:"));
        typeGameChoice = new MasterChoice(new String[]{"18 M", "25 M", "70 round", "FITA"}, 0);
        addNext(typeGameChoice, HSTRETCH);
        addLast(new Panel());
        
        addNext(new Label("Sesso:"));
        sexChoice = new MasterChoice(new String[]{"F", "M"}, 0);
        addNext(sexChoice, HSTRETCH);
        addLast(new Panel());

        addNext(new Label("Tipo arco:"));
        arcTypeChoice = new MasterChoice(new String[]{"COMPOUND", "NUDO", "OLIMPICO"}, 0);
        addNext(arcTypeChoice, HSTRETCH);
        addLast(new Panel());

        addNext(new Label("Arceri n:"));
        numRevalChoice = new MasterChoice(new String[]{"1", "2", "3", "4"}, 0);
        addLast(numRevalChoice, HSTRETCH);
        addLast(new Panel());

        addNext(new Panel());
        addLast(new Panel());
        addNext(new Panel());
        
        buildButton = new Button("Crea gara");
        buildButton.setAction("buildCompetition");
        buildButton.backGround = Color.LightGreen;
        buildButton.foreGround = Color.DarkBlue;
        addLast(buildButton, DONTSTRETCH, DONTFILL);

        addPanelManager(new String[]{""});
    }


    public void setPhasesName(String[] phaseNames){
        seqPhaseChoice.items.removeAllElements();
        for(int i=0; i<phaseNames.length; i++)
        {
            seqPhaseChoice.items.add(phaseNames[i]);
        }
        seqPhaseChoice.select(0);
    }


    void addPanelManager(String[] phaseNames)
    {

        addNext(new Label("Fase :"));
        seqPhaseChoice = new MasterChoice(phaseNames, 0);
        seqPhaseChoice.modify(Control.Disabled, 0);
        addNext(seqPhaseChoice, HSTRETCH);
        addLast(new Panel());

        addNext(new Label("Vol :"));
        seqVoleChoice = new MasterChoice(new String[]{"1", "2", "3", "4", "5", "6", "7", "8", "9", "10"}, 0);
        seqVoleChoice.modify(Control.Disabled, 0);
        addNext(seqVoleChoice, HSTRETCH);
        addLast(new Panel());

        addNext(new Panel());
        addLast(new Panel());
        addNext(new Panel());

        setButton = new Button("Imposta");
        setButton.setAction("setCompetition");
        setButton.modify(Control.Disabled, 0);
        setButton.backGround = Color.LightGreen;
        setButton.foreGround = Color.DarkBlue;
        addLast(setButton, DONTSTRETCH, DONTFILL);

        addNext(new Panel());
        addLast(new Panel());
        addNext(new Panel());

        resetButton = new Button("Cancella");
        resetButton.setAction("resetVole");
        resetButton.modify(Control.Disabled, 0);
        resetButton.backGround = Color.LightGreen;
        resetButton.foreGround = Color.DarkBlue;
        addLast(resetButton, DONTSTRETCH, DONTFILL);

        addNext(new Panel());
        addLast(new Panel());
    }

}
