/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package bullseye;

/**
 *
 * @author apaliani
 */
public class Round {

    public String name;
    public String rivalName;
    public Phase[] phases;

    public int zero = 0;
    public int nine = 0;
    public int goal = 0;

    public Round(Phase[] phases)
    {
        this.phases = phases;
    }

    public int getTotal()
    {
        int total = 0;

        zero = 0;
        nine = 0;
        goal = 0;

        for(int i=0; i<this.phases.length; i++)
        {
            for(int j=0; j<this.phases[i].voles.length; j++)
            {
                for(int k=0; k<this.phases[i].voles[j].arrows.size(); k++){

                    Arrow arrow = (Arrow)this.phases[i].voles[j].arrows.get(k);
                    total += arrow.score;

                    switch(arrow.score)
                    {
                        case 0:
                            this.zero++;
                            break;
                        case 9:
                            this.nine++;
                            break;
                        case 10:
                            this.goal++;
                            break;
                    }

                }
            }
        }
        return total;
    }
}
