/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package bullseye;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


import java.util.Properties;
import eve.ui.*;
import eve.sys.SimpleDateFormat;
import java.io.FileInputStream;
import java.io.FileOutputStream;


/**
 *
 * @author apaliani
 */
public class Util {

    private static Properties properties;

    public static void loadPropertiesFile(){
        try
        {
            properties = new Properties();
            properties.load(new FileInputStream("options.properties"));

        }catch(Exception ex){
            new MessageBox("Errore caricamento parametri", ex.getMessage(), MessageBox.MBOK).execute();
        }
    }

    public static void storePropertiesFile(){
        try
        {
            properties.store(new FileOutputStream("options.properties"), null);
        }catch(Exception ex){
            new MessageBox("Errore memorizza dati", ex.getMessage(), MessageBox.MBOK).execute();
        }
    }

    public static String getPropertiesValue(String keyValue){
        try{
            String value = properties.getProperty(keyValue);
            return value;
        }catch(Exception ex){
            new MessageBox("Errore rileva parametri", ex.getMessage(), MessageBox.MBOK).execute();
        }
        return null;
    }

    public static void putPropertiesValue(String key, String value){
        try{
            properties.setProperty(key, value);
        }catch(Exception ex){
            new MessageBox("Errore memorizza parametri", ex.getMessage(), MessageBox.MBOK).execute();
        }
    }


    /**
     *Restituisce la String della data attuale nel formattata in yyyy/MM/dd HH:mm:ss
     */
    public static String getDateTime() {
        SimpleDateFormat myDateFormat = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
        String dateS = myDateFormat.format(java.util.Calendar.getInstance());
        return dateS;
    }


    /**
     *Restituisce la String della data attuale nel formattata in yyyyMMddHHmmssS
     */
    public static String getDateTimeID() throws Exception{
        try{
            SimpleDateFormat myDateFormat = new SimpleDateFormat("yyyyMMddHHmmss");
            String dateS = myDateFormat.format(java.util.Calendar.getInstance());
            Thread.sleep(10);
            return dateS;
        }
        catch(Exception ex){
            throw ex;
        }
    }

    /**
     *Restituisce la String della data attuale nel formattata in yyyyMMddHHmmssS
     */
    public static String getSchortDateTimeID() throws Exception{
        try{
            SimpleDateFormat myDateFormat = new SimpleDateFormat("yyyy-MM-dd-HH-mm-ss");
            String dateS = myDateFormat.format(java.util.Calendar.getInstance());
            Thread.sleep(10);
            return dateS;
        }
        catch(Exception ex){
            throw ex;
        }
    }

}
